<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_J2eeJCANonpooledConnections" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_J2eeJCANonpooledConnections">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Stats" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Stats</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The JCA resource statistic.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_J2eeJCANonpooledConnections"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="RelatedStats" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">RelatedStats</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The related JCA connection statistics.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_J2eeJCANonpooledConnections"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Description" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">A free-form string describing how the statistics are related.</cim:Qualifier>
<cim:Classorigin name="CIM_RelatedStatisticalData"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_J2eeJCANonpooledConnections" type="class:CIM_J2eeJCANonpooledConnections_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_J2eeJCANonpooledConnections" superclass="CIM_RelatedStatisticalData"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.8.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Application::J2eeAppServerStats</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">CIM_J2eeJCANonpooledConnections provides the list of statistics for the non-connections pools that are associated with the referencing JCA resource statistics.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_J2eeJCANonpooledConnections_Type">
<xs:sequence>
<xs:element minOccurs="0" ref="class:Description"/>
<xs:element ref="class:RelatedStats"/>
<xs:element ref="class:Stats"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
